=== modified file 'Makefile.am'
--- Makefile.am	2008-07-09 16:23:26 +0000
+++ Makefile.am	2008-07-09 19:33:54 +0000
@@ -20,7 +20,7 @@
 endif
 
 SUBDIRS =		. include \
-			sql-common vio \
+			vio \
 			strings mysys $(d_dbug) \
                         extra \
                         libdrizzle client storage plugin \

=== modified file 'client/Makefile.am'
--- client/Makefile.am	2008-07-09 16:20:31 +0000
+++ client/Makefile.am	2008-07-09 20:46:18 +0000
@@ -21,17 +21,12 @@
 				-I$(top_srcdir)/server \
 				-I$(top_srcdir)/strings
 
-LIBS =				@CLIENT_LIBS@ -lz
-
-LDADD=				$(top_builddir)/sql-common/libsqlcommon.la \
-				$(top_builddir)/libdrizzle/libdrizzle.la -lz
+LDADD=				$(top_builddir)/libdrizzle/libdrizzle.la -lz
 
 
 noinst_HEADERS =		sql_string.h completion_hash.h my_readline.h \
 				client_priv.h
 
-EXTRA_DIST =			get_password.c 
-
 CLEANFILES =			$(BUILT_SOURCES)
 
 bin_PROGRAMS =			mysql \

=== removed file 'client/get_password.c'
--- client/get_password.c	2008-06-30 07:09:25 +0000
+++ client/get_password.c	1970-01-01 00:00:00 +0000
@@ -1,165 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-/*
-** Ask for a password from tty
-** This is an own file to avoid conflicts with curses
-*/
-#include <my_global.h>
-#include <my_sys.h>
-#include "mysql.h"
-#include <m_string.h>
-#include <m_ctype.h>
-
-#if defined(HAVE_BROKEN_GETPASS) && !defined(HAVE_GETPASSPHRASE)
-#undef HAVE_GETPASS
-#endif
-
-#ifdef HAVE_GETPASS
-#ifdef HAVE_PWD_H
-#include <pwd.h>
-#endif /* HAVE_PWD_H */
-#else /* ! HAVE_GETPASS */
- #include <sys/ioctl.h>
- #ifdef HAVE_TERMIOS_H				/* For tty-password */
-  #include	<termios.h>
-  #define TERMIO	struct termios
- #else
-  #ifdef HAVE_TERMIO_H				/* For tty-password */
-   #include	<termio.h>
-   #define TERMIO	struct termio
-  #else
-   #include	<sgtty.h>
-   #define TERMIO	struct sgttyb
-  #endif
- #endif
- #ifdef alpha_linux_port
-  #include <asm/ioctls.h>				/* QQ; Fix this in configure */
-  #include <asm/termiobits.h>
- #endif
-#endif /* HAVE_GETPASS */
-
-#ifdef HAVE_GETPASSPHRASE			/* For Solaris */
-#define getpass(A) getpassphrase(A)
-#endif
-
-#ifndef HAVE_GETPASS
-/*
-** Can't use fgets, because readline will get confused
-** length is max number of chars in to, not counting \0
-*  to will not include the eol characters.
-*/
-
-static void get_password(char *to,uint length,int fd, my_bool echo)
-{
-  char *pos=to,*end=to+length;
-
-  for (;;)
-  {
-    char tmp;
-    if (my_read(fd,&tmp,1,MYF(0)) != 1)
-      break;
-    if (tmp == '\b' || (int) tmp == 127)
-    {
-      if (pos != to)
-      {
-	if (echo)
-	{
-	  fputs("\b \b",stderr);
-	  fflush(stderr);
-	}
-	pos--;
-	continue;
-      }
-    }
-    if (tmp == '\n' || tmp == '\r' || tmp == 3)
-      break;
-    if (iscntrl(tmp) || pos == end)
-      continue;
-    if (echo)
-    {
-      fputc('*',stderr);
-      fflush(stderr);
-    }
-    *(pos++) = tmp;
-  }
-  while (pos != to && isspace(pos[-1]) == ' ')
-    pos--;					/* Allow dummy space at end */
-  *pos=0;
-  return;
-}
-
-#endif /* ! HAVE_GETPASS */
-
-
-char *get_tty_password(const char *opt_message)
-{
-#ifdef HAVE_GETPASS
-  char *passbuff;
-#else /* ! HAVE_GETPASS */
-  TERMIO org,tmp;
-#endif /* HAVE_GETPASS */
-  char buff[80];
-
-  DBUG_ENTER("get_tty_password");
-
-#ifdef HAVE_GETPASS
-  passbuff = getpass(opt_message ? opt_message : "Enter password: ");
-
-  /* copy the password to buff and clear original (static) buffer */
-  strnmov(buff, passbuff, sizeof(buff) - 1);
-#ifdef _PASSWORD_LEN
-  memset(passbuff, 0, _PASSWORD_LEN);
-#endif
-#else 
-  if (isatty(fileno(stderr)))
-  {
-    fputs(opt_message ? opt_message : "Enter password: ",stderr);
-    fflush(stderr);
-  }
-#if defined(HAVE_TERMIOS_H)
-  tcgetattr(fileno(stdin), &org);
-  tmp = org;
-  tmp.c_lflag &= ~(ECHO | ISIG | ICANON);
-  tmp.c_cc[VMIN] = 1;
-  tmp.c_cc[VTIME] = 0;
-  tcsetattr(fileno(stdin), TCSADRAIN, &tmp);
-  get_password(buff, sizeof(buff)-1, fileno(stdin), isatty(fileno(stderr)));
-  tcsetattr(fileno(stdin), TCSADRAIN, &org);
-#elif defined(HAVE_TERMIO_H)
-  ioctl(fileno(stdin), (int) TCGETA, &org);
-  tmp=org;
-  tmp.c_lflag &= ~(ECHO | ISIG | ICANON);
-  tmp.c_cc[VMIN] = 1;
-  tmp.c_cc[VTIME]= 0;
-  ioctl(fileno(stdin),(int) TCSETA, &tmp);
-  get_password(buff,sizeof(buff)-1,fileno(stdin),isatty(fileno(stderr)));
-  ioctl(fileno(stdin),(int) TCSETA, &org);
-#else
-  gtty(fileno(stdin), &org);
-  tmp=org;
-  tmp.sg_flags &= ~ECHO;
-  tmp.sg_flags |= RAW;
-  stty(fileno(stdin), &tmp);
-  get_password(buff,sizeof(buff)-1,fileno(stdin),isatty(fileno(stderr)));
-  stty(fileno(stdin), &org);
-#endif
-  if (isatty(fileno(stderr)))
-    fputc('\n',stderr);
-#endif /* HAVE_GETPASS */
-
-  DBUG_RETURN(my_strdup(buff,MYF(MY_FAE)));
-}
-

=== modified file 'configure.ac'
--- configure.ac	2008-07-09 19:12:41 +0000
+++ configure.ac	2008-07-09 20:46:27 +0000
@@ -1142,8 +1142,6 @@
 
 MYSQL_CONFIGURE_PLUGINS([none])
 
-AC_SUBST(CLIENT_LIBS)
-
 AC_SUBST(mysql_plugin_dirs)
 AC_SUBST(mysql_plugin_libs)
 AC_SUBST(mysql_plugin_defs)
@@ -1216,7 +1214,7 @@
  vio/Makefile dnl
  libdrizzle/Makefile client/Makefile dnl
  server/Makefile server/share/Makefile dnl
- server/sql_builtin.cc sql-common/Makefile dnl
+ server/sql_builtin.cc dnl
  dbug/Makefile include/Makefile dnl
  support-files/Makefile dnl
  tests/Makefile tests/install_test_db dnl

=== modified file 'libdrizzle/Makefile.am'
--- libdrizzle/Makefile.am	2008-07-09 11:56:03 +0000
+++ libdrizzle/Makefile.am	2008-07-09 20:46:27 +0000
@@ -20,6 +20,8 @@
 #
 # This file is public domain and comes with NO WARRANTY of any kind
 
+AM_CPPFLAGS =	-I$(top_builddir)/include -I$(top_srcdir)/vio -I$(top_srcdir)/mysys -I$(top_builddir)/sql-common
+
 if BUILD_DBUG
   d_dbug = $(top_builddir)/dbug/libdbuglt.la
 endif
@@ -29,16 +31,18 @@
 MYSQLBASEdir=			$(prefix)
 
 pkglib_LTLIBRARIES = libdrizzle.la
-libdrizzle_la_SOURCES = libdrizzle.c get_password.c \
-                            client.c net_serv.c
+libdrizzle_la_SOURCES = libdrizzle.c client.c net_serv.c get_password.c
 libdrizzle_la_LIBADD = ${sql_cmn_objects} ${sqlobjects} \
 			   ${top_builddir}/mysys/libmysyslt.la \
 			   ${top_builddir}/strings/libmystringslt.la \
 			   $(d_dbug) \
-			   ${top_builddir}/sql-common/libsqlcommon.la \
+			   libsqlcommon.la \
 			   ${top_builddir}/vio/libviolt.la 
 libdrizzle_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 
 
+noinst_LTLIBRARIES = libsqlcommon.la
+libsqlcommon_la_SOURCES = pack.c my_time.c errmsg.c password.c
+
 DEFS =			-DDEFAULT_CHARSET_HOME="\"$(MYSQLBASEdir)\"" \
 			-DDATADIR="\"$(MYSQLDATAdir)\"" \
 			-DDEFAULT_HOME_ENV=MYSQL_HOME \
@@ -47,9 +51,6 @@
 			-DSHAREDIR="\"$(MYSQLSHAREdir)\"" \
 			-DUNDEF_THREADS_HACK
 
-LIBS =		@CLIENT_LIBS@ 
-AM_CPPFLAGS =	-I$(top_builddir)/include -I$(top_srcdir)/vio -I$(top_srcdir)/mysys -I$(top_builddir)/sql-common
-
 noinst_HEADERS = client_settings.h
 
 CLEANFILES =		$(target_libadd) $(SHLIBOBJS) \

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-07-09 12:31:20 +0000
+++ libdrizzle/client.c	2008-07-09 20:46:27 +0000
@@ -1599,6 +1599,8 @@
   cli_read_statistics,                         /* read_statistics */
   cli_read_query_result,                       /* next_result */
   cli_read_change_user_result,                 /* read_change_user_result */
+#else
+  0,0,0,0,0
 #endif
 };
 

=== renamed file 'sql-common/errmsg.c' => 'libdrizzle/errmsg.c'
=== renamed file 'sql-common/my_time.c' => 'libdrizzle/my_time.c'
=== renamed file 'sql-common/pack.c' => 'libdrizzle/pack.c'
=== renamed file 'sql-common/password.c' => 'libdrizzle/password.c'
=== modified file 'server/Makefile.am'
--- server/Makefile.am	2008-07-09 16:20:31 +0000
+++ server/Makefile.am	2008-07-09 19:33:54 +0000
@@ -46,12 +46,12 @@
 noinst_LTLIBRARIES = 	libhandler.la
 
 SUPPORTING_LIBS =	$(top_builddir)/vio/libviolt.la \
+			$(top_builddir)/libdrizzle/libsqlcommon.la \
 			$(top_builddir)/mysys/libmysyslt.la \
 			$(d_dbug) \
 			$(top_builddir)/strings/libmystringslt.la 
 LDADD = $(SUPPORTING_LIBS) -lz -levent
-drizzled_LDADD =	$(top_builddir)/sql-common/libsqlcommon.la \
-			libhandler.la \
+drizzled_LDADD =	libhandler.la \
 			$(libevent_libs) \
 			@mysql_plugin_libs@ \
 			$(LDADD)  $(CXXLDFLAGS) @LIBDL@

=== modified file 'server/client_settings.h'
--- server/client_settings.h	2008-06-25 05:29:13 +0000
+++ server/client_settings.h	2008-07-09 20:46:27 +0000
@@ -33,3 +33,7 @@
 
 #define mysql_server_init(a,b,c) 0
 
+MYSQL_DATA * cli_read_rows(MYSQL *mysql,MYSQL_FIELD *mysql_fields,
+                           uint fields);
+extern int mysql_init_character_set(MYSQL *mysql);
+

=== modified file 'server/stacktrace.c'
--- server/stacktrace.c	2008-06-25 05:29:13 +0000
+++ server/stacktrace.c	2008-07-09 20:46:27 +0000
@@ -198,14 +198,14 @@
     /* Assume that the stack starts at the previous even 65K */
     stack_bottom= (uchar*) (((ulong) &fp + tmp) &
 			  ~(ulong) 0xFFFF);
-    fprintf(stderr, "Cannot determine thread, fp=%p, backtrace may not be correct.\n", fp);
+    fprintf(stderr, "Cannot determine thread, fp=%p, backtrace may not be correct.\n", (void *)fp);
   }
   if (fp > (uchar**) stack_bottom ||
       fp < (uchar**) stack_bottom - thread_stack)
   {
     fprintf(stderr, "Bogus stack limit or frame pointer,\
  fp=%p, stack_bottom=%p, thread_stack=%ld, aborting backtrace.\n",
-	    fp, stack_bottom, thread_stack);
+	    (void *)fp, (void *)stack_bottom, thread_stack);
     return;
   }
 
@@ -259,7 +259,7 @@
     if (new_fp <= fp )
     {
       fprintf(stderr, "New value of fp=%p failed sanity check,\
- terminating stack trace!\n", new_fp);
+ terminating stack trace!\n", (void *)new_fp);
       goto end;
     }
     fp = new_fp;

=== removed directory 'sql-common'
=== removed file 'sql-common/Makefile.am'
--- sql-common/Makefile.am	2008-07-03 00:14:39 +0000
+++ sql-common/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,19 +0,0 @@
-# Copyright (C) 2003-2004, 2006 MySQL AB
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-## Process this file with automake to create Makefile.in
-AM_CPPFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include
-noinst_LTLIBRARIES = libsqlcommon.la
-libsqlcommon_la_SOURCES = pack.c my_time.c errmsg.c password.c

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-07-09 18:31:18 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-07-09 20:55:02 +0000
@@ -7898,7 +7898,7 @@
 
 /* TODO: Fix the cast below!!! */
 
-static char * show_innodb_vars(THD *thd __attribute__((__unused__)),
+static int show_innodb_vars(THD *thd __attribute__((__unused__)),
                             SHOW_VAR *var, char *buff __attribute__((__unused__)))
 {
   innodb_export_status();
@@ -7907,8 +7907,11 @@
   return 0;
 }
 
+static st_show_var_func_container
+show_innodb_vars_cont = { &show_innodb_vars };
+
 static SHOW_VAR innodb_status_variables_export[]= {
-  {"Innodb",                  (char *) &show_innodb_vars, SHOW_FUNC},
+  {"Innodb",                  (char *) &show_innodb_vars_cont, SHOW_FUNC},
   {NullS, NullS, SHOW_LONG}
 };
 
@@ -8163,7 +8166,7 @@
   innobase_init, /* Plugin Init */
   NULL, /* Plugin Deinit */
   0x0100 /* 1.0 */,
-  innodb_status_variables,/* status variables             */
+  innodb_status_variables_export,/* status variables             */
   innobase_system_variables, /* system variables */
   NULL /* reserved */
 }

